# Microsoft.Samples.DirectX.UtilityToolkit.EditBox Class Reference

A basic edit box. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::Control, Microsoft::Samples::DirectX::UtilityToolkit::Control, and Microsoft::Samples::DirectX::UtilityToolkit::Control.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.EditBox:

[legend]

List of all members.

## Public Member Functions
void | SetSpacing (int space)
| Update the spacing.
void | SetBorderWidth (int b)
| Update the border.
void | SetTextColor (ColorValue color)
| Update the text color.
void | SetSelectedTextColor (ColorValue color)
| Update the text selected color.
void | SetSelectedBackColor (ColorValue color)
| Update the selected background color.
void | SetCaretColor (ColorValue color)
| Update the caret color.
string | GetTextCopy ()
| Gets a copy of the text.
| EditBox (Dialog parent)
| Creates a new edit box control.
void | Clear ()
| Clears the edit box.
void | SetText (string text, bool selected)
| Sets the text for the control.
override void | OnFocusIn ()
| Update the caret when focus is in.
override bool | HandleKeyboard (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle keyboard input to the edit box.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages.
override bool | MsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle all other messages.
override void | Render (Device device, float elapsedTime)
| Render the control.
void | SetSpacing (int space)
| Update the spacing.
void | SetBorderWidth (int b)
| Update the border.
void | SetTextColor (ColorValue color)
| Update the text color.
void | SetSelectedTextColor (ColorValue color)
| Update the text selected color.
void | SetSelectedBackColor (ColorValue color)
| Update the selected background color.
void | SetCaretColor (ColorValue color)
| Update the caret color.
string | GetTextCopy ()
| Gets a copy of the text.
| EditBox (Dialog parent)
| Creates a new edit box control.
void | Clear ()
| Clears the edit box.
void | SetText (string text, bool selected)
| Sets the text for the control.
override void | OnFocusIn ()
| Update the caret when focus is in.
override bool | HandleKeyboard (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle keyboard input to the edit box.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages.
override bool | MsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle all other messages.
override void | Render (Device device, float elapsedTime)
| Render the control.
void | SetSpacing (int space)
| Update the spacing.
void | SetBorderWidth (int b)
| Update the border.
void | SetTextColor (ColorValue color)
| Update the text color.
void | SetSelectedTextColor (ColorValue color)
| Update the text selected color.
void | SetSelectedBackColor (ColorValue color)
| Update the selected background color.
void | SetCaretColor (ColorValue color)
| Update the caret color.
string | GetTextCopy ()
| Gets a copy of the text.
| EditBox (Dialog parent)
| Creates a new edit box control.
void | Clear ()
| Clears the edit box.
void | SetText (string text, bool selected)
| Sets the text for the control.
override void | OnFocusIn ()
| Update the caret when focus is in.
override bool | HandleKeyboard (Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle keyboard input to the edit box.
override bool | HandleMouse (NativeMethods.WindowMessage msg, System.Drawing.Point pt, IntPtr wParam, IntPtr lParam)
| Handle mouse messages.
override bool | MsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle all other messages.
override void | Render (Device device, float elapsedTime)
| Render the control.
## Public Attributes
const int | TextLayer = 0
const int | TopLeftBorder = 1
const int | TopBorder = 2
const int | TopRightBorder = 3
const int | LeftBorder = 4
const int | RightBorder = 5
const int | LowerLeftBorder = 6
const int | LowerBorder = 7
const int | LowerRightBorder = 8
## Protected Member Functions
void | RaiseChangedEvent (EditBox sender, bool wasTriggeredByUser)
| Raises the changed event.
void | RaiseEnterEvent (EditBox sender, bool wasTriggeredByUser)
| Raises the Enter event.
void | PlaceCaret (int pos)
| Set the caret to a character position, and adjust the scrolling if necessary.
void | DeleteSelectionText ()
| Deletes the text that is currently selected.
override void | UpdateRectangles ()
| Updates the rectangles used by the control.
void | CopyToClipboard ()
| Copy the selected text to the clipboard.
void | PasteFromClipboard ()
| Paste the clipboard data to the control.
void | ResetCaretBlink ()
| Reset's the caret blink time.
void | RaiseChangedEvent (EditBox sender, bool wasTriggeredByUser)
| Raises the changed event.
void | RaiseEnterEvent (EditBox sender, bool wasTriggeredByUser)
| Raises the Enter event.
void | PlaceCaret (int pos)
| Set the caret to a character position, and adjust the scrolling if necessary.
void | DeleteSelectionText ()
| Deletes the text that is currently selected.
override void | UpdateRectangles ()
| Updates the rectangles used by the control.
void | CopyToClipboard ()
| Copy the selected text to the clipboard.
void | PasteFromClipboard ()
| Paste the clipboard data to the control.
void | ResetCaretBlink ()
| Reset's the caret blink time.
void | RaiseChangedEvent (EditBox sender, bool wasTriggeredByUser)
| Raises the changed event.
void | RaiseEnterEvent (EditBox sender, bool wasTriggeredByUser)
| Raises the Enter event.
void | PlaceCaret (int pos)
| Set the caret to a character position, and adjust the scrolling if necessary.
void | DeleteSelectionText ()
| Deletes the text that is currently selected.
override void | UpdateRectangles ()
| Updates the rectangles used by the control.
void | CopyToClipboard ()
| Copy the selected text to the clipboard.
void | PasteFromClipboard ()
| Paste the clipboard data to the control.
void | ResetCaretBlink ()
| Reset's the caret blink time.
## Protected Attributes
System.Windows.Forms.RichTextBox | textData
int | border
int | spacing
System.Drawing.Rectangle | textRect
System.Drawing.Rectangle[] | elementRects = new System.Drawing.Rectangle[9]
double | blinkTime
double | lastBlink
bool | isCaretOn
int | caretPosition
bool | isInsertMode
int | firstVisible
ColorValue | textColor
ColorValue | selectedTextColor
ColorValue | selectedBackColor
ColorValue | caretColor
bool | isMouseDragging
## Static Protected Attributes
static bool | isHidingCaret
## Properties
override bool | CanHaveFocus`[get]`
| Can the edit box have focus.
string | Text`[get, set]`
| Get or sets the text.
## Events
EventHandler | Changed
EventHandler | Enter

## Detailed Description

A basic edit box.

Definition at line 4463 of file dxmutgui.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.EditBox.EditBox | ( | Dialog | parent | ) |

Creates a new edit box control.

Definition at line 4551 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.EditBox.EditBox | ( | Dialog | parent | ) |

Creates a new edit box control.

Definition at line 4551 of file dxmutgui.cs.

Microsoft.Samples.DirectX.UtilityToolkit.EditBox.EditBox | ( | Dialog | parent | ) |

Creates a new edit box control.

Definition at line 4559 of file wdxmutgui.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.Clear | ( |  | ) |

Clears the edit box.

Definition at line 4618 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.Clear | ( |  | ) |

Clears the edit box.

Definition at line 4609 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.Clear | ( |  | ) |

Clears the edit box.

Definition at line 4609 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.CopyToClipboard | ( |  | ) | `[protected]`

Copy the selected text to the clipboard.

Definition at line 4679 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.CopyToClipboard | ( |  | ) | `[protected]`

Copy the selected text to the clipboard.

Definition at line 4670 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.CopyToClipboard | ( |  | ) | `[protected]`

Copy the selected text to the clipboard.

Definition at line 4670 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.DeleteSelectionText | ( |  | ) | `[protected]`

Deletes the text that is currently selected.

Definition at line 4638 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.DeleteSelectionText | ( |  | ) | `[protected]`

Deletes the text that is currently selected.

Definition at line 4629 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.DeleteSelectionText | ( |  | ) | `[protected]`

Deletes the text that is currently selected.

Definition at line 4629 of file dxmutgui.cs.

string Microsoft.Samples.DirectX.UtilityToolkit.EditBox.GetTextCopy | ( |  | ) |

Gets a copy of the text.

Definition at line 4555 of file wdxmutgui.cs.

string Microsoft.Samples.DirectX.UtilityToolkit.EditBox.GetTextCopy | ( |  | ) |

Gets a copy of the text.

Definition at line 4547 of file dxmutgui.cs.

string Microsoft.Samples.DirectX.UtilityToolkit.EditBox.GetTextCopy | ( |  | ) |

Gets a copy of the text.

Definition at line 4547 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.HandleKeyboard | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle keyboard input to the edit box.

Definition at line 4746 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.HandleKeyboard | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle keyboard input to the edit box.

Definition at line 4737 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.HandleKeyboard | ( | Microsoft.Samples.DirectX.UtilityToolkit.NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle keyboard input to the edit box.

Definition at line 4737 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4868 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4859 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.HandleMouse | ( | NativeMethods.WindowMessage | msg,
|  | System.Drawing.Point | pt,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle mouse messages.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4859 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.MsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle all other messages.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4927 of file wdxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.MsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle all other messages.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4918 of file dxmutgui.cs.

override bool Microsoft.Samples.DirectX.UtilityToolkit.EditBox.MsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  | `[virtual]`

Handle all other messages.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4918 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.OnFocusIn | ( |  | ) | `[virtual]`

Update the caret when focus is in.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4723 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.OnFocusIn | ( |  | ) | `[virtual]`

Update the caret when focus is in.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4714 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.OnFocusIn | ( |  | ) | `[virtual]`

Update the caret when focus is in.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4714 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.PasteFromClipboard | ( |  | ) | `[protected]`

Paste the clipboard data to the control.

Definition at line 4692 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.PasteFromClipboard | ( |  | ) | `[protected]`

Paste the clipboard data to the control.

Definition at line 4683 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.PasteFromClipboard | ( |  | ) | `[protected]`

Paste the clipboard data to the control.

Definition at line 4683 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.PlaceCaret | ( | int | pos | ) | `[protected]`

Set the caret to a character position, and adjust the scrolling if necessary.

Definition at line 4595 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.PlaceCaret | ( | int | pos | ) | `[protected]`

Set the caret to a character position, and adjust the scrolling if necessary.

Definition at line 4586 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.PlaceCaret | ( | int | pos | ) | `[protected]`

Set the caret to a character position, and adjust the scrolling if necessary.

Definition at line 4586 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.RaiseChangedEvent | ( | EditBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Raises the changed event.

Definition at line 4489 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.RaiseChangedEvent | ( | EditBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Raises the changed event.

Definition at line 4481 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.RaiseChangedEvent | ( | EditBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Raises the changed event.

Definition at line 4481 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.RaiseEnterEvent | ( | EditBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Raises the Enter event.

Definition at line 4500 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.RaiseEnterEvent | ( | EditBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Raises the Enter event.

Definition at line 4492 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.RaiseEnterEvent | ( | EditBox | sender,
|  | bool | wasTriggeredByUser |
| ) |  |  | `[protected]`

Raises the Enter event.

Definition at line 4492 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 5066 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 5057 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.Render | ( | Device | device,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Render the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 5057 of file dxmutgui.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.ResetCaretBlink | ( |  | ) | `[protected]`

Reset's the caret blink time.

Definition at line 4716 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.ResetCaretBlink | ( |  | ) | `[protected]`

Reset's the caret blink time.

Definition at line 4707 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.ResetCaretBlink | ( |  | ) | `[protected]`

Reset's the caret blink time.

Definition at line 4707 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetBorderWidth | ( | int | b | ) |

Update the border.

Definition at line 4542 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetBorderWidth | ( | int | b | ) |

Update the border.

Definition at line 4534 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetBorderWidth | ( | int | b | ) |

Update the border.

Definition at line 4534 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetCaretColor | ( | ColorValue | color | ) |

Update the caret color.

Definition at line 4550 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetCaretColor | ( | ColorValue | color | ) |

Update the caret color.

Definition at line 4542 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetCaretColor | ( | ColorValue | color | ) |

Update the caret color.

Definition at line 4542 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSelectedBackColor | ( | ColorValue | color | ) |

Update the selected background color.

Definition at line 4548 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSelectedBackColor | ( | ColorValue | color | ) |

Update the selected background color.

Definition at line 4540 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSelectedBackColor | ( | ColorValue | color | ) |

Update the selected background color.

Definition at line 4540 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSelectedTextColor | ( | ColorValue | color | ) |

Update the text selected color.

Definition at line 4546 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSelectedTextColor | ( | ColorValue | color | ) |

Update the text selected color.

Definition at line 4538 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSelectedTextColor | ( | ColorValue | color | ) |

Update the text selected color.

Definition at line 4538 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSpacing | ( | int | space | ) |

Update the spacing.

Definition at line 4540 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSpacing | ( | int | space | ) |

Update the spacing.

Definition at line 4532 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetSpacing | ( | int | space | ) |

Update the spacing.

Definition at line 4532 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetText | ( | string | text,
|  | bool | selected |
| ) |  |  |

Sets the text for the control.

Definition at line 4625 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetText | ( | string | text,
|  | bool | selected |
| ) |  |  |

Sets the text for the control.

Definition at line 4616 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetText | ( | string | text,
|  | bool | selected |
| ) |  |  |

Sets the text for the control.

Definition at line 4616 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetTextColor | ( | ColorValue | color | ) |

Update the text color.

Definition at line 4544 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetTextColor | ( | ColorValue | color | ) |

Update the text color.

Definition at line 4536 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.SetTextColor | ( | ColorValue | color | ) |

Update the text color.

Definition at line 4536 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Updates the rectangles used by the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4650 of file wdxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Updates the rectangles used by the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4641 of file dxmutgui.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.EditBox.UpdateRectangles | ( |  | ) | `[protected, virtual]`

Updates the rectangles used by the control.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4641 of file dxmutgui.cs.

## Member Data Documentation

double Microsoft::Samples::DirectX::UtilityToolkit.EditBox::blinkTime`[protected]`

Definition at line 4510 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::border`[protected]`

Definition at line 4506 of file dxmutgui.cs.

ColorValue Microsoft::Samples::DirectX::UtilityToolkit.EditBox::caretColor`[protected]`

Definition at line 4519 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::caretPosition`[protected]`

Definition at line 4513 of file dxmutgui.cs.

System.Drawing.Rectangle [] Microsoft.Samples.DirectX.UtilityToolkit.EditBox.elementRects = new System.Drawing.Rectangle[9]`[protected]`

Definition at line 4509 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::firstVisible`[protected]`

Definition at line 4515 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.EditBox::isCaretOn`[protected]`

Definition at line 4512 of file dxmutgui.cs.

static bool Microsoft::Samples::DirectX::UtilityToolkit.EditBox::isHidingCaret`[static, protected]`

Definition at line 4524 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.EditBox::isInsertMode`[protected]`

Definition at line 4514 of file dxmutgui.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.EditBox::isMouseDragging`[protected]`

Definition at line 4522 of file dxmutgui.cs.

double Microsoft::Samples::DirectX::UtilityToolkit.EditBox::lastBlink`[protected]`

Definition at line 4511 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::LeftBorder = 4

Definition at line 4470 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::LowerBorder = 7

Definition at line 4473 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::LowerLeftBorder = 6

Definition at line 4472 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::LowerRightBorder = 8

Definition at line 4474 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::RightBorder = 5

Definition at line 4471 of file dxmutgui.cs.

ColorValue Microsoft::Samples::DirectX::UtilityToolkit.EditBox::selectedBackColor`[protected]`

Definition at line 4518 of file dxmutgui.cs.

ColorValue Microsoft::Samples::DirectX::UtilityToolkit.EditBox::selectedTextColor`[protected]`

Definition at line 4517 of file dxmutgui.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::spacing`[protected]`

Definition at line 4507 of file dxmutgui.cs.

ColorValue Microsoft::Samples::DirectX::UtilityToolkit.EditBox::textColor`[protected]`

Definition at line 4516 of file dxmutgui.cs.

System Windows Forms RichTextBox Microsoft::Samples::DirectX::UtilityToolkit.EditBox::textData`[protected]`

Definition at line 4505 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::TextLayer = 0

Definition at line 4466 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.EditBox::textRect`[protected]`

Definition at line 4508 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::TopBorder = 2

Definition at line 4468 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::TopLeftBorder = 1

Definition at line 4467 of file dxmutgui.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.EditBox::TopRightBorder = 3

Definition at line 4469 of file dxmutgui.cs.

## Property Documentation

override bool Microsoft::Samples::DirectX::UtilityToolkit.EditBox::CanHaveFocus`[get]`

Can the edit box have focus.

Reimplemented from Microsoft.Samples.DirectX.UtilityToolkit.Control.

Definition at line 4530 of file dxmutgui.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.EditBox::Text`[get, set]`

Get or sets the text.

Definition at line 4545 of file dxmutgui.cs.

## Event Documentation

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.EditBox::Changed

Definition at line 4478 of file dxmutgui.cs.

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.EditBox::Enter

Definition at line 4479 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs